summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorArcturusB2018-12-02 10:53:43 +0100
committerArcturusB2018-12-02 10:53:43 +0100
commit64b029925f28a2f649e88d08c6f16f94e9714e15 (patch)
tree744d38d8185cd481aad0ca9b7be2cad6967e1cd3
downloadaur-python-sep.tar.gz
init
-rw-r--r--.SRCINFO21
-rw-r--r--LICENSE1
-rw-r--r--PKGBUILD102
-rw-r--r--PKGBUILD_EXTRAS0
4 files changed, 124 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..26691db2693
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = python-sep
+ pkgdesc = Astronomical source extraction and photometry library
+ pkgver = 1.0.3
+ pkgrel = 00
+ url = https://github.com/kbarbary/sep
+ arch = x86_64
+ license = LGPL3
+ makedepends = python-pip
+ makedepends = python-wheel
+ makedepends = swig
+ depends = python
+ depends = python-numpy
+ source = PKGBUILD_EXTRAS
+ source = https://files.pythonhosted.org/packages/e1/a5/ee7e82c7e32eb74ec86048c2f9007b169c66d7eb4a3593bfca40a566aacc/sep-1.0.3.tar.gz
+ source = LICENSE
+ md5sums = SKIP
+ md5sums = 9b899ce70b1f050a937efbdb4fbd3356
+ md5sums = 27f314f169c690b73a55106a4f40e7f5
+
+pkgname = python-sep
+
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..ccd26a31278
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1 @@
+LICENSE: LGPL3
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..03a574c4c1c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,102 @@
+# Maintainer: Gabriel "ArcturusB" Perouze" <arcturus@openmailbox.org>
+
+export PIP_CONFIG_FILE=/dev/null
+export PIP_DISABLE_PIP_VERSION_CHECK=true
+
+pkgname=python-sep
+epoch=
+pkgver=1.0.3
+pkgrel=00
+pkgdesc='Astronomical source extraction and photometry library'
+arch=(x86_64)
+url=https://github.com/kbarbary/sep
+license=(LGPL3)
+depends=(python python-numpy)
+depends+=()
+makedepends=(python-pip python-wheel swig)
+checkdepends=()
+provides=()
+conflicts=(${provides%=*}) # No quotes, to avoid an empty entry.
+source=(PKGBUILD_EXTRAS)
+md5sums=(SKIP)
+source+=(https://files.pythonhosted.org/packages/e1/a5/ee7e82c7e32eb74ec86048c2f9007b169c66d7eb4a3593bfca40a566aacc/sep-1.0.3.tar.gz)
+md5sums+=(9b899ce70b1f050a937efbdb4fbd3356)
+source+=(LICENSE)
+md5sums+=(27f314f169c690b73a55106a4f40e7f5)
+_first_source() {
+ echo " ${source_i686[@]} ${source_x86_64[@]} ${source[@]}" |
+ tr ' ' '\n' | grep -Pv '^(PKGBUILD_EXTRAS)?$' | head -1
+}
+
+if [[ $(_first_source) =~ ^git+ ]]; then
+ provides+=("${pkgname%-git}")
+ conflicts+=("${pkgname%-git}")
+fi
+
+_is_wheel() {
+ [[ $(_first_source) =~ \.whl$ ]]
+}
+
+_dist_name() {
+ basename "$(_first_source)" |
+ sed 's/\(\.tar\.gz\|\.tgz\|\.tar\.bz2\|\.zip\|\.git\)$//'
+}
+
+if [[ $(_first_source) =~ ^git+ ]]; then
+ _pkgver() {
+ ( set -o pipefail
+ cd "$srcdir/$(_dist_name)"
+ git describe --long --tags 2>/dev/null |
+ sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" \
+ "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+ }
+
+ pkgver() { _pkgver; }
+fi
+
+_build() {
+ if _is_wheel; then return; fi
+ cd "$srcdir/$(_dist_name)"
+ # See Arch Wiki/PKGBUILD/license.
+ # Get the first filename that matches.
+ local test_name
+ if [[ ${license[0]} =~ ^(BSD|MIT|ZLIB|Python)$ ]]; then
+ for test_name in LICENSE LICENSE.txt license.txt COPYING COPYING.md COPYING.rst COPYING.txt COPYRIGHT; do
+ if cp "$srcdir/$(_dist_name)/$test_name" "$srcdir/LICENSE" 2>/dev/null; then
+ break
+ fi
+ done
+ fi
+ # Build the wheel (which we allow to fail) only after fetching the license.
+ /usr/bin/pip wheel -v --no-deps --wheel-dir="$srcdir" \
+ --global-option=--no-user-cfg \
+ --global-option=build --global-option=-j"$(nproc)" . ||
+ true
+}
+
+build() { _build; }
+
+_check() {
+ # Define check(), possibly using _check as a helper, to run the tests.
+ # You may need to call `python setup.py build_ext -i` first.
+ if _is_wheel; then return; fi
+ cd "$srcdir/$(_dist_name)"
+ /usr/bin/python setup.py -q test
+}
+
+_package() {
+ cd "$srcdir"
+ # pypa/pip#3063: pip always checks for a globally installed version.
+ /usr/bin/pip --quiet install --root="$pkgdir" \
+ --no-deps --ignore-installed --no-warn-script-location \
+ "$(ls ./*.whl 2>/dev/null || echo ./"$(_dist_name)")"
+ if [[ -f LICENSE ]]; then
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ fi
+}
+
+package() { _package; }
+
+. "$(dirname "$BASH_SOURCE")/PKGBUILD_EXTRAS"
diff --git a/PKGBUILD_EXTRAS b/PKGBUILD_EXTRAS
new file mode 100644
index 00000000000..e69de29bb2d
--- /dev/null
+++ b/PKGBUILD_EXTRAS